package com.digiwin.athena.app.ptc.infra.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *  cim_production_details
 *
 * @author zhenggl
 * @date 2023-09-12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "cim_production_details", autoResultMap = true)
public class ProductionDetailsEntity extends BaseMgrEntity<ProductionDetailsEntity>
{


    /** 工厂编号 */
    @SerializedName(value = "factory_no")
    private String factoryNo;

    /** 工厂名称 */
    @SerializedName(value = "factory_name")
    private String factoryName;

    /** 性质 */
    @SerializedName(value = "nature")
    private String nature;

    /** 预计产量 */
    @SerializedName(value = "expected_quantity")
    private BigDecimal expectedQuantity;

    /** 预计开工日期 */
    @SerializedName(value = "expected_commencement_date")
    private Date expectedCommencementDate;

    /** 预计完工日期 */
    @SerializedName(value = "estimated_completion_date")
    private Date estimatedCompletionDate;

    /** 生管人员 */
    @SerializedName(value = "production_management_person")
    private String productionManagementPerson;

    /** 生管部门 */
    @SerializedName(value = "production_management_department")
    private String productionManagementDepartment;

    /** 工单单号 */
    @SerializedName(value = "work_no")
    private String workNo;

    /** 状态 */
    @SerializedName(value = "production_status")
    private String productionStatus;

    /** 生产批号 */
    @SerializedName(value = "batch_no")
    private String batchNo;

    /** 品号 */
    @SerializedName(value = "sku_code")
    private String skuCode;

    /** 品名 */
    @SerializedName(value = "sku_name")
    private String skuName;

    /** 规格 */
    @SerializedName(value = "sku_spec")
    private String skuSpec;

    /** 单位 */
    @SerializedName(value = "unit")
    private String unit;

    /** 生产主管 */
    @SerializedName(value = "produce_boss")
    private String produceBoss;

    /** 逾期天数 */
    @SerializedName(value = "overdue_days")
    private String overdueDays;

    public ProductionDetailsEntity(String factoryNo, String factoryName, String productionManagementPerson) {
        this.factoryNo = factoryNo;
        this.factoryName = factoryName;
        this.productionManagementPerson = productionManagementPerson;
    }
}
